FLANG

Public Member Functions | Friends | List of all members
Fortran::semantics::ObjectEntityDetails Class Reference
Inheritance diagram for Fortran::semantics::ObjectEntityDetails:

## Public Member Functions
| ObjectEntityDetails (EntityDetails &&)
| ObjectEntityDetails (const ObjectEntityDetails &)=default
ObjectEntityDetails & | operator= (const ObjectEntityDetails &)=default
| ObjectEntityDetails (bool isDummy=false)
MaybeExpr & | init ()
const MaybeExpr & | init () const
void | set_init (MaybeExpr &&expr)
bool | initWasValidated () const
void | set_initWasValidated (bool yes=true)
ArraySpec & | shape ()
const ArraySpec & | shape () const
ArraySpec & | coshape ()
const ArraySpec & | coshape () const
void | set_shape (const ArraySpec &)
void | set_coshape (const ArraySpec &)
const Symbol * | commonBlock () const
void | set_commonBlock (const Symbol &commonBlock)
bool | IsArray () const
bool | IsCoarray () const
bool | IsAssumedShape () const
bool | IsDeferredShape () const
bool | IsAssumedSize () const
bool | IsAssumedRank () const
Public Member Functions inherited from Fortran::semantics::EntityDetails
| EntityDetails (bool isDummy=false)
const DeclTypeSpec * | type () const
void | set_type (const DeclTypeSpec &)
void | ReplaceType (const DeclTypeSpec &)
bool | isDummy () const
void | set_isDummy (bool value=true)
bool | isFuncResult () const
void | set_funcResult (bool x)
MaybeExpr | bindName () const
void | set_bindName (MaybeExpr &&expr)

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const ObjectEntityDetails &)

The documentation for this class was generated from the following files:

- include/flang/Semantics/symbol.h
- lib/Semantics/symbol.cpp